[arch-haskell] Adding another data file for dependency "hints"

Xyne xyne at archlinux.ca
Sat Jan 1 21:24:14 CET 2011

Rémy Oudompheng wrote:

> > This sounds reasonable.  However, do you have examples of dependencies
> > that CABAL can express but pacman can't?  (I was under the impression
> > that the difference was that CABAL allowed more terse expressions, not
> > that it allowed more.)
> See the issue reported by
> https://github.com/archhaskell/cabal2arch/issues#issue/19. PKGBUILDs
> can only specify dependency requirements with one inequality (<, >, <=
> or >=) whereas Cabal can specify any Boolean combination of
> inequalities.

Have you seen this?

It would enable "parsec >= 3.0 || == 2.1" to be translated to
"haskell-parsec>=3.0 || haskell-parsec=2.1". It obviously won't be included any
time soon, but it would provide a long-term solution.


More information about the arch-haskell mailing list